#!/usr/bin/python

# Force use of unicdeo
from __future__ import unicode_literals

import os, sys, datetime, logging, posixpath

# Script Logic
if __name__ == '__main__':

	# Serves as a simple listening server which can be used for peer-peer sync
	# between different installations of time drive. Eventually will allow for
	# full synchronization between clients on the same network

	from twisted.internet import protocol, reactor

	class Echo(protocol.Protocol):
		def dataReceive(self, data):
			self.transport.write(data)

	class EchoFactory(protocol.Factory):
		def buildProtocol(self, addr):
			return Echo()

reactor.listenTCP(1234, EchoFactory())
reactor.run()